import { clearStoreAll, delStoreData, getStoreData, setStoreData } from 'js-fast-way'
import website from '~src/config/index'

//获取缓存
export const getStoreValue = (key, debug = false, session = false) => {
    return getStoreData(website.key + '-' + key, debug, session)
}

//保存缓存
export const setStoreValue = (key, value, session = false) => {
    return setStoreData(website.key + '-' + key, value, session)
}

//删除缓存
export const delStoreValue = (key, session = false) => {
    return delStoreData(website.key + '-' + key, session)
}

export { clearStoreAll }
